/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-10-11
 * 描述            ：工器具-刀片修磨-刀片信息
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.DevBladeGrindingBldMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="DEV_BLADE_GRINDING_BLD", namespace=DevBladeGrindingBldMapper.class)
public class DevBladeGrindingBld extends BaseVO implements Serializable {
	
	private Double grd_thick;
	
	
	public Double getGrd_thick() {
		return grd_thick;
	}
	public void setGrd_thick(Double grd_thick) {
		this.grd_thick = grd_thick;
	}

	/** 
	 * 修磨记录号
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 刀片编号
	 */ 
	@Id
	private String blade_no;
	public String getBlade_no() {
		return this.blade_no;
	}
	public void setBlade_no(String blade_no) {
		this.blade_no = blade_no;
	}

	/** 
	 * 修磨前状态（0：可用、1：待磨、2：修磨、9：报废）
	 */ 
	@Column
	private String status;
	public String getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	/** 
	 * 修磨前使用次数（用于数据撤回）
	 */ 
	@Column
	private Long cur_use_times;
	public Long getCur_use_times() {
		return this.cur_use_times;
	}
	public void setCur_use_times(Long cur_use_times) {
		this.cur_use_times = cur_use_times;
	}

	/** 
	 * 显示顺序
	 */ 
	@Column
	private Long dsp_order;
	public Long getDsp_order() {
		return this.dsp_order;
	}
	public void setDsp_order(Long dsp_order) {
		this.dsp_order = dsp_order;
	}

	/** 
	 * 是否修磨（本次是否修磨 1：是、0：否）
	 */ 
	@Column
	private String grd_flag;
	public String getGrd_flag() {
		return this.grd_flag;
	}
	public void setGrd_flag(String grd_flag) {
		this.grd_flag = grd_flag;
	}

	/** 
	 * 修磨前外径
	 */ 
	@Column
	private Double dia_outer_bfr;
	public Double getDia_outer_bfr() {
		return this.dia_outer_bfr;
	}
	public void setDia_outer_bfr(Double dia_outer_bfr) {
		this.dia_outer_bfr = dia_outer_bfr;
	}

	/** 
	 * 修磨后外径
	 */ 
	@Column
	private Double dia_outer_aft;
	public Double getDia_outer_aft() {
		return this.dia_outer_aft;
	}
	public void setDia_outer_aft(Double dia_outer_aft) {
		this.dia_outer_aft = dia_outer_aft;
	}

	/** 
	 * 原始外径（mm）
	 */ 
	@Column
	private Double dia_outer_org;
	public Double getDia_outer_org() {
		return this.dia_outer_org;
	}
	public void setDia_outer_org(Double dia_outer_org) {
		this.dia_outer_org = dia_outer_org;
	}

	/** 
	 * 报废外径（mm，原始外径 -  报废外径 = 可用层厚度）
	 */ 
	@Column
	private Double dia_outer_srp;
	public Double getDia_outer_srp() {
		return this.dia_outer_srp;
	}
	public void setDia_outer_srp(Double dia_outer_srp) {
		this.dia_outer_srp = dia_outer_srp;
	}

	/** 
	 * 金额（元）
	 */ 
	@Column
	private Double amount_money;
	public Double getAmount_money() {
		return this.amount_money;
	}
	public void setAmount_money(Double amount_money) {
		this.amount_money = amount_money;
	}

	/** 
	 * 残值（元）
	 */ 
	@Column
	private Double residual_value;
	public Double getResidual_value() {
		return this.residual_value;
	}
	public void setResidual_value(Double residual_value) {
		this.residual_value = residual_value;
	}

	/** 
	 * 折算成本（(金额 - 残值) * (修磨前外径 - 修磨后外径) / (原始外径 - 报废外径)）
	 */ 
	@Column
	private Double converted_cost;
	public Double getConverted_cost() {
		return this.converted_cost;
	}
	public void setConverted_cost(Double converted_cost) {
		this.converted_cost = converted_cost;
	}

	/** 
	 * 鉴定结果（1：合格、0：不合格）
	 */ 
	@Column
	private String check_result;
	public String getCheck_result() {
		return this.check_result;
	}
	public void setCheck_result(String check_result) {
		this.check_result = check_result;
	}

	/** 
	 * 处置结果（0：可用、1：重修、9：报废）
	 */ 
	@Column
	private String disposal_result;
	public String getDisposal_result() {
		return this.disposal_result;
	}
	public void setDisposal_result(String disposal_result) {
		this.disposal_result = disposal_result;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
